import { OauthConfig } from "./OauthConfig";

export class CoreConfig {
  sysId: string;
  baseApi: string;
  oauth: OauthConfig;
  constructor(
    options: {
      sysId?: string;
      baseApi?: string;
      oauth?: OauthConfig;
    } = {}
  ) {
    this.sysId = options.sysId || "";
    this.baseApi = options.baseApi || "";
    this.oauth = options.oauth || new OauthConfig();
  }
}
